Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | List of all members
CSSharingBlock Class Reference

CSRenderingBlock object which represents one block of given size received from collaboration server. More...

`#import <CSSharingBlock.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithRenderingBlock:
| Creates a CSSharingBlock object from data in CSRenderingBlock. More...
(instancetype) | - initWithCGImage:rect:
| Creates a block from existing CGImage. More...
(void) | - drawInContext:
| Puts CGImage which backs CSSharingBlock object on given drawing context. More...
(void) | - invertYWithViewHeight:
| Flips Y coord to put image on context properly since the coordinate system on OSX is originated from BottomLeft point of the screen (when operating on CGContext). More...

## Detailed Description

CSRenderingBlock object which represents one block of given size received from collaboration server.

Comparing to CSRenderingBlock it's higher level since raw image data are transformed into CGImage here. Objects of this class usually aren't used explicitly by client unless custom sharing canvas is developed.

See also
  CSRenderingBlock

## Method Documentation

- (void) drawInContext: |  | (CGContextRef) | context |

Puts CGImage which backs CSSharingBlock object on given drawing context.

Parameters

  context | Context on which CGImage is supposed to be drawn.

- (instancetype) initWithCGImage: |  | (CGImageRef) | image
rect: |  | (CGRect) | rect

Creates a block from existing CGImage.

Can be used for testing.

Parameters

  image | CGImage object which should back created CSSharingBlock
  rect | Rect which define position of image in coordinates of frame containing given block

- (instancetype) initWithRenderingBlock: |  | (CSRenderingBlock *) | renderingBlock |

Creates a CSSharingBlock object from data in CSRenderingBlock.

CSSharingBlock is backed by CGImage object which can be drawn on CGContext using method drawInContext:.

See also
  - drawInContext:

- (void) invertYWithViewHeight: |  | (CGFloat) | viewHeight |

Flips Y coord to put image on context properly since the coordinate system on OSX is originated from BottomLeft point of the screen (when operating on CGContext).

Parameters

  viewHeight | Height of the whole frame which given block belongs to.

The documentation for this class was generated from the following file:

- CSSharingBlock.h